package inn.ocsf.bee.freigeld.core.model;

import org.springframework.data.annotation.Id;
import org.springframework.data.annotation.Version;
import org.springframework.data.mongodb.core.mapping.Document;

@Document("public-link")
public abstract class PublicLink {

    @Id
    private String id;

    @Version
    private Long version;

    private PublicLinkStatus status;

    public PublicLink(String id) {
        this.id = id;
    }

    public PublicLink() {
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public PublicLinkStatus getStatus() {
        return status;
    }

    public void setStatus(PublicLinkStatus status) {
        this.status = status;
    }
}
